<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:34:15 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.languages.common.base 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.languages.common.base 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#addClosestOwnerType-org.eclipse.uml2.uml.Element-org.eclipse.emf.common.util.EList-">addClosestOwnerType(Element, EList&lt;Classifier&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Adds the first element that is a classifier</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#addFarthestOwnerType-org.eclipse.uml2.uml.Element-org.eclipse.emf.common.util.EList-">addFarthestOwnerType(Element, EList&lt;Classifier&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Adds the first element owned by a package in a classifier's namespace</div>
</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html#beforeClose-org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor-">beforeClose(IMultiDiagramEditor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents.LifeCycleListener</a></dt>
<dd>
<div class="block">Executed before an editor will close => stop recording for this editing domain</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#changeList">changeList</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">ChangeObject</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/codesync/package-summary.html">org.eclipse.papyrus.designer.languages.common.base.codesync</a></dt>
<dd>
<div class="block">Simple data type that stores the tuple of event-type and associated e-Object</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html#ChangeObject--">ChangeObject()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#checkProxy-org.eclipse.emf.ecore.EObject-">checkProxy(EObject)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#cleanCR-java.lang.String-">cleanCR(String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Remove <CR> from a String.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#createPackageableElement-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">createPackageableElement(PackageableElement, IProgressMonitor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Main function for user calls.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#createPackageableElement-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-boolean-">createPackageableElement(PackageableElement, IProgressMonitor, boolean)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Variant of main function: user may supply explicit container (also used by internal function to avoid
 re-calculating the entry container for each element).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#createPackageableElementFile-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">createPackageableElementFile(PackageableElement, IProgressMonitor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Creates the file(s) corresponding to a packageable element.</div>
</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html#eObject">eObject</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a></dt>
<dd>
<div class="block">The associated EObject</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html#eventType">eventType</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ChangeObject.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ChangeObject</a></dt>
<dd>
<div class="block">The eventType.</div>
</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#fileSystemAccess">fileSystemAccess</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#generatorLanguage">generatorLanguage</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">GenUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>
<div class="block">Some utilities: a set of static methods for code generation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#GenUtils--">GenUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Messages.html#GenUtils_ElementIsProxy">GenUtils_ElementIsProxy</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getApplicationA-org.eclipse.uml2.uml.Element-org.eclipse.emf.ecore.EClass-">getApplicationA(Element, EClass)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a stereotype application when given the eClass of that application.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getApplicationTree-org.eclipse.uml2.uml.Element-java.lang.Class-">getApplicationTree(Element, Class&lt;T&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">return the first occurrence of a stereotype application in the ownership tree</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getApplicationTreeA-org.eclipse.uml2.uml.Element-org.eclipse.emf.ecore.EClass-">getApplicationTreeA(Element, EClass)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">return the first occurrence of a stereotype application in the ownership tree
 Variant of @see getApplicationTree that is useful for Acceleo</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getBody-org.eclipse.uml2.uml.Operation-java.util.regex.Pattern-">getBody(Operation, Pattern)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getBodyFromOB-org.eclipse.uml2.uml.OpaqueBehavior-java.util.regex.Pattern-">getBodyFromOB(OpaqueBehavior, Pattern)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#getChangeList-org.eclipse.emf.transaction.TransactionalEditingDomain-">getChangeList(TransactionalEditingDomain)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents</a></dt>
<dd>
<div class="block">Get the list of changes for an editing domain</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#getChangeList--">getChangeList()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getComments-org.eclipse.uml2.uml.Element-">getComments(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the comments associated with an element
 TODO: check whether comment's annotated element link belongs to element in question</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectInnerClassifierTypes-org.eclipse.uml2.uml.Classifier-">getDirectInnerClassifierTypes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieves a list of direct types of attributes of inner classifiers of the current classifier</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectInnerClassifierTypesViaAttributes-org.eclipse.uml2.uml.Classifier-">getDirectInnerClassifierTypesViaAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of direct types of attributes of inner classifiers that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectInnerClassifierTypesViaOperations-org.eclipse.uml2.uml.Classifier-">getDirectInnerClassifierTypesViaOperations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the operations of direct inner classifiers of the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectTypesViaAttributes-org.eclipse.uml2.uml.Classifier-">getDirectTypesViaAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectTypesViaDependencies-org.eclipse.uml2.uml.Classifier-">getDirectTypesViaDependencies(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of classifiers that are referenced via dependencies</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectTypesViaOperations-org.eclipse.uml2.uml.Classifier-">getDirectTypesViaOperations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the operations in the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getDirectTypesViaRelationshipsNoDeps-org.eclipse.uml2.uml.Classifier-">getDirectTypesViaRelationshipsNoDeps(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of classifiers that are referenced via all kinds of relations except
 dependencies</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html#getFileName-org.eclipse.uml2.uml.NamedElement-">getFileName(NamedElement)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.common.base">HierarchyLocationStrategy</a></dt>
<dd>
<div class="block">Return the filename for a given named element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html#getFileName-org.eclipse.uml2.uml.NamedElement-">getFileName(NamedElement)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#getFileName-org.eclipse.uml2.uml.NamedElement-">getFileName(NamedElement)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Obtain fileName of file(s) generated for a named element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#getFilter--">getFilter()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html#getFolder-org.eclipse.uml2.uml.NamedElement-">getFolder(NamedElement)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.common.base">HierarchyLocationStrategy</a></dt>
<dd>
<div class="block">Return the filename for a given named element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html#getFolder-org.eclipse.uml2.uml.NamedElement-">getFolder(NamedElement)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base">ILocationStrategy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullName-org.eclipse.uml2.uml.NamedElement-">getFullName(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the qualified name of a named element, but use "_" instead of "::" as separator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullName-org.eclipse.uml2.uml.NamedElement-java.lang.String-">getFullName(NamedElement, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the qualified name of a named element, but use separator instead of "::" as separator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullName-org.eclipse.uml2.uml.NamedElement-java.lang.String-boolean-">getFullName(NamedElement, String, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the qualified name of a named element, but use separator instead of "::" as separator, and check if project name should be considered</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullNameUC-org.eclipse.uml2.uml.NamedElement-">getFullNameUC(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">return the full name in upper case</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullPath-org.eclipse.uml2.uml.Package-">getFullPath(Package)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the qualified name of a package, but use "/" instead of "::" as separator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullPath-org.eclipse.uml2.uml.Package-java.lang.String-">getFullPath(Package, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the qualified name of a package, but use passed separator instead of "::" as separator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getFullPath-org.eclipse.uml2.uml.Package-java.lang.String-boolean-">getFullPath(Package, String, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the qualified name of a package, but use separator instead of "::" as separator, and check if project name should be considered</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypes-org.eclipse.uml2.uml.Classifier-">getInnerClassifierTypes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieves a list of types of attributes of inner classifiers of the current classifier</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaAttributes-org.eclipse.uml2.uml.Classifier-">getInnerClassifierTypesViaAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes of inner classifiers that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaAttributes-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-boolean-">getInnerClassifierTypesViaAttributes(Classifier, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, boolean, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes of inner classifiers that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaOpaqueBehaviors-org.eclipse.uml2.uml.Classifier-">getInnerClassifierTypesViaOpaqueBehaviors(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the opaque behaviors of inner classifiers of the current classifier, without specification.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaOpaqueBehaviors-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-">getInnerClassifierTypesViaOpaqueBehaviors(Classifier, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the opaque behaviors of inner classifiers of the current classifier, without specification.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaOperations-org.eclipse.uml2.uml.Classifier-">getInnerClassifierTypesViaOperations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the operations of inner classifiers of the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaOperations-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-">getInnerClassifierTypesViaOperations(Classifier, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the operations of inner classifiers of the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getInnerClassifierTypesViaSharedAggregationAttributes-org.eclipse.uml2.uml.Classifier-">getInnerClassifierTypesViaSharedAggregationAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes, of shared aggregation, of inner classifiers that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getNestedBehaviorFarthestClassifierOwnerNamespace-org.eclipse.uml2.uml.OpaqueBehavior-">getNestedBehaviorFarthestClassifierOwnerNamespace(OpaqueBehavior)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Get the namespace of the farthest classifier owner that owns an operation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getNestedOperationFarthestClassifierOwnerNamespace-org.eclipse.uml2.uml.Operation-">getNestedOperationFarthestClassifierOwnerNamespace(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Get the namespace of the farthest classifier owner that owns an operation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getRelativePath-org.eclipse.uml2.uml.NamedElement-org.eclipse.uml2.uml.NamedElement-">getRelativePath(NamedElement, NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the relative path of ne2 as seen from ne1
 (might not always be useful, if includes are always done from a common root)
 TODO: incomplete, currently unused</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getSourceFolder-org.eclipse.uml2.uml.Element-">getSourceFolder(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTemplateBinding-org.eclipse.uml2.uml.Classifier-">getTemplateBinding(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve first template binding from list of template bindings, if
 exactly one exists.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTemplateName-org.eclipse.uml2.uml.TemplateParameter-">getTemplateName(TemplateParameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Get the name of a template parameter or undefined, if it is not set</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTemplateParameteredElements-org.eclipse.uml2.uml.Classifier-">getTemplateParameteredElements(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTemplateParameters-org.eclipse.uml2.uml.Classifier-">getTemplateParameters(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaAttributes-org.eclipse.uml2.uml.Classifier-">getTypesViaAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaAttributes-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-boolean-">getTypesViaAttributes(Classifier, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, boolean, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaDependencies-org.eclipse.uml2.uml.Classifier-">getTypesViaDependencies(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of classifiers that are referenced via dependencies</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaOpaqueBehaviors-org.eclipse.uml2.uml.Classifier-">getTypesViaOpaqueBehaviors(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the opaque behaviors in the current classifier, without specification.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaOpaqueBehaviors-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-">getTypesViaOpaqueBehaviors(Classifier, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the opaque behaviors in the current classifier, without specification.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaOperations-org.eclipse.uml2.uml.Classifier-">getTypesViaOperations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the operations in the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaOperations-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-">getTypesViaOperations(Classifier, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, EList&lt;Class&lt;? extends EObject&gt;&gt;, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve the operations in the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaRelationships-org.eclipse.uml2.uml.Classifier-">getTypesViaRelationships(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of classifiers that are referenced by relationships, i.e.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaRelationshipsNoDeps-org.eclipse.uml2.uml.Classifier-">getTypesViaRelationshipsNoDeps(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of classifiers that are referenced via all kinds of relations except
 dependencies</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getTypesViaSharedAggregationAttributes-org.eclipse.uml2.uml.Classifier-">getTypesViaSharedAggregationAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Retrieve a list of types of attributes, with SHARED aggregation, that belong to the current classifier.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getUsedClassifiers-org.eclipse.uml2.uml.Classifier-">getUsedClassifiers(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of dependent classifiers (the list of dependent
 elements filtered for classifiers)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#getUsedPackages-org.eclipse.uml2.uml.Package-">getUsedPackages(Package)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return a list of dependent package (the list of dependent
 elements filtered for packages)</div>
</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasAllStereotypes-org.eclipse.uml2.uml.Element-org.eclipse.emf.common.util.EList-">hasAllStereotypes(Element, EList&lt;Class&lt;? extends EObject&gt;&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Is a list of stereotypes all applied?</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasAnyStereotype-org.eclipse.uml2.uml.Element-org.eclipse.emf.common.util.EList-">hasAnyStereotype(Element, EList&lt;Class&lt;? extends EObject&gt;&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Is a any stereotype in a list applied?</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasStereotype-org.eclipse.uml2.uml.Element-java.lang.String-">hasStereotype(Element, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Is a certain stereotype applied?</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasStereotype-org.eclipse.uml2.uml.Element-java.lang.Class-">hasStereotype(Element, Class&lt;? extends EObject&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Is a certain stereotype applied?</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasStereotypeA-org.eclipse.uml2.uml.Element-org.eclipse.emf.ecore.EClass-">hasStereotypeA(Element, EClass)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Is a certain stereotype applied?
 In case of Java, we use the class above (without the A) prefix.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasStereotypeTree-org.eclipse.uml2.uml.Element-java.lang.Class-">hasStereotypeTree(Element, Class&lt;? extends EObject&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Verify if an Element or its parent Elements have a stereotype.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#hasStereotypeTree-org.eclipse.uml2.uml.Element-org.eclipse.emf.ecore.EClass-">hasStereotypeTree(Element, EClass)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Verify if an Element or its parent Elements have a stereotype.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">HierarchyLocationStrategy</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html#HierarchyLocationStrategy--">HierarchyLocationStrategy()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/HierarchyLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.common.base">HierarchyLocationStrategy</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/ILocationStrategy.html" title="interface in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">ILocationStrategy</span></a> - Interface in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>
<div class="block">A location strategy defines the location of a file associated with a model element
 depending on the namespaces of this model element (package hierarchy).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#initChangeList-org.eclipse.emf.transaction.TransactionalEditingDomain-boolean-">initChangeList(TransactionalEditingDomain, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents</a></dt>
<dd>
<div class="block">initialize the difference list for an editing domain</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#initChangeList--">initChangeList()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>
<div class="block">initialize (reset) the list of recorded changes</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#isAggregatePrecommitListener--">isAggregatePrecommitListener()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#isPostcommitOnly--">isPostcommitOnly()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#isPrecommitOnly--">isPrecommitOnly()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#isTemplateBoundElement-org.eclipse.uml2.uml.Classifier-">isTemplateBoundElement(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Check whether the passed classifier has a template binding with itself as bound element</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#locStrategy">locStrategy</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html#log">log</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">ManageChangeEvents</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/codesync/package-summary.html">org.eclipse.papyrus.designer.languages.common.base.codesync</a></dt>
<dd>
<div class="block">Manage and update change events for incremental code generation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#ManageChangeEvents--">ManageChangeEvents()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">ManageChangeEvents.LifeCycleListener</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/codesync/package-summary.html">org.eclipse.papyrus.designer.languages.common.base.codesync</a></dt>
<dd>
<div class="block">An internal listener for life cycle events of Papyrus</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#maskNull-java.lang.String-">maskNull(String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Avoid null strings, i.e.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">Messages</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">ModelElementsCreator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>
<div class="block">Main class of code generator.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#ModelElementsCreator-org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess-org.eclipse.papyrus.designer.languages.common.base.ILocationStrategy-java.lang.String-">ModelElementsCreator(IPFileSystemAccess, ILocationStrategy, String)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Messages.html#ModelElementsCreator_UnsupportedModelElement">ModelElementsCreator_UnsupportedModelElement</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Messages</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#NL">NL</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#noCodeGen-org.eclipse.uml2.uml.Element-">noCodeGen(Element)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Return true, if no code should be generated for a certain element.</div>
</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a> - package org.eclipse.papyrus.designer.languages.common.base</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/package-summary.html">org.eclipse.papyrus.designer.languages.common.base.codesync</a> - package org.eclipse.papyrus.designer.languages.common.base.codesync</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html#postDisplay-org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor-">postDisplay(IMultiDiagramEditor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents.LifeCycleListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html#postInit-org.eclipse.papyrus.infra.ui.editor.IMultiDiagramEditor-">postInit(IMultiDiagramEditor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.LifeCycleListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents.LifeCycleListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html#process-java.util.List-">process(List&lt;String&gt;)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ProcessWrapper</a></dt>
<dd>
<div class="block">Invoke the IDL compiler for the given IDL File</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">ProcessWrapper</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/package-summary.html">org.eclipse.papyrus.designer.languages.common.base</a></dt>
<dd>
<div class="block">Generic wrapper for the execution of external commands (command line).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html#ProcessWrapper--">ProcessWrapper()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ProcessWrapper.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ProcessWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#project">project</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">optional reference to a project (is used in case of handling multiple code generators)</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync"><span class="typeNameLink">RecordEventsListener</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/base/codesync/package-summary.html">org.eclipse.papyrus.designer.languages.common.base.codesync</a></dt>
<dd>
<div class="block">This listener is used to register ADD ant SET about in the diff model during
 the launch of the revision mode.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#RecordEventsListener--">RecordEventsListener()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#registeredListeners">registeredListeners</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html#removePackageableElement-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">removePackageableElement(PackageableElement, IProgressMonitor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/ModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">ModelElementsCreator</a></dt>
<dd>
<div class="block">Remove elements (used for differential code generation)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#resourceSetChanged-org.eclipse.emf.transaction.ResourceSetChangeEvent-">resourceSetChanged(ResourceSetChangeEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html#returnResult-org.eclipse.uml2.uml.Behavior-">returnResult(Behavior)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base">GenUtils</a></dt>
<dd>
<div class="block">Return the type of a behavior, i.e.</div>
</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#startRecording-org.eclipse.emf.transaction.TransactionalEditingDomain-">startRecording(TransactionalEditingDomain)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents</a></dt>
<dd>
<div class="block">Start recording changes for an editing domain</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.<a href="org/eclipse/papyrus/designer/languages/common/base/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.base">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html#stopRecording-org.eclipse.emf.transaction.TransactionalEditingDomain-">stopRecording(TransactionalEditingDomain)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/ManageChangeEvents.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">ManageChangeEvents</a></dt>
<dd>
<div class="block">Stop recording changes for an editing domain</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html#transactionAboutToCommit-org.eclipse.emf.transaction.ResourceSetChangeEvent-">transactionAboutToCommit(ResourceSetChangeEvent)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.base.codesync.<a href="org/eclipse/papyrus/designer/languages/common/base/codesync/RecordEventsListener.html" title="class in org.eclipse.papyrus.designer.languages.common.base.codesync">RecordEventsListener</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
